## WDS Set Default Profile Number request WDS Set Default Profile Number request |

## Functions

QmiMessageWdsSetDefaultProfileNumberInput * | qmi_message_wds_set_default_profile_number_input_new ()
QmiMessageWdsSetDefaultProfileNumberInput * | qmi_message_wds_set_default_profile_number_input_ref ()
void | qmi_message_wds_set_default_profile_number_input_unref ()
gboolean | qmi_message_wds_set_default_profile_number_input_get_profile_identifier ()
gboolean | qmi_message_wds_set_default_profile_number_input_set_profile_identifier ()
QmiMessageWdsSetDefaultProfileNumberOutput * | qmi_message_wds_set_default_profile_number_output_ref ()
void | qmi_message_wds_set_default_profile_number_output_unref ()
gboolean | qmi_message_wds_set_default_profile_number_output_get_result ()
gboolean | qmi_message_wds_set_default_profile_number_output_get_extended_error_code ()
void | qmi_client_wds_set_default_profile_number ()
QmiMessageWdsSetDefaultProfileNumberOutput * | qmi_client_wds_set_default_profile_number_finish ()

## Types and Values

| QmiMessageWdsSetDefaultProfileNumberInput
| QmiMessageWdsSetDefaultProfileNumberOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSetDefaultProfileNumberInput
        ╰── QmiMessageWdsSetDefaultProfileNumberOutput

## Description

## Functions

### qmi_message_wds_set_default_profile_number_input_new ()

    QmiMessageWdsSetDefaultProfileNumberInput *
    qmi_message_wds_set_default_profile_number_input_new
                                   (void);

Allocates a new QmiMessageWdsSetDefaultProfileNumberInput.

#### Returns

the newly created QmiMessageWdsSetDefaultProfileNumberInput. The returned value should be freed with `qmi_message_wds_set_default_profile_number_input_unref()`.

Since: 1.28

### qmi_message_wds_set_default_profile_number_input_ref ()

    QmiMessageWdsSetDefaultProfileNumberInput *
    qmi_message_wds_set_default_profile_number_input_ref
                                   (QmiMessageWdsSetDefaultProfileNumberInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_set_default_profile_number_input_unref ()

    void
    qmi_message_wds_set_default_profile_number_input_unref
                                   (QmiMessageWdsSetDefaultProfileNumberInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberInput. |

Since: 1.28

### qmi_message_wds_set_default_profile_number_input_get_profile_identifier ()

    gboolean
    qmi_message_wds_set_default_profile_number_input_get_profile_identifier
                                   (QmiMessageWdsSetDefaultProfileNumberInput *self,
                                    QmiWdsProfileType *value_profile_identifier_type,
                                    QmiWdsProfileFamily *value_profile_identifier_family,
                                    guint8 *value_profile_identifier_index,
                                    GError **error);

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberInput. |
value_profile_identifier_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out][optional]
value_profile_identifier_family | a placeholder for the output QmiWdsProfileFamily, or `NULL` if not required. | [out][optional]
value_profile_identifier_index | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_set_default_profile_number_input_set_profile_identifier ()

    gboolean
    qmi_message_wds_set_default_profile_number_input_set_profile_identifier
                                   (QmiMessageWdsSetDefaultProfileNumberInput *self,
                                    QmiWdsProfileType value_profile_identifier_type,
                                    QmiWdsProfileFamily value_profile_identifier_family,
                                    guint8 value_profile_identifier_index,
                                    GError **error);

Set the 'Profile Identifier' field in the message.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberInput. |
value_profile_identifier_type | a QmiWdsProfileType. |
value_profile_identifier_family | a QmiWdsProfileFamily. |
value_profile_identifier_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_set_default_profile_number_output_ref ()

    QmiMessageWdsSetDefaultProfileNumberOutput *
    qmi_message_wds_set_default_profile_number_output_ref
                                   (QmiMessageWdsSetDefaultProfileNumberOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_set_default_profile_number_output_unref ()

    void
    qmi_message_wds_set_default_profile_number_output_unref
                                   (QmiMessageWdsSetDefaultProfileNumberOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberOutput. |

Since: 1.28

### qmi_message_wds_set_default_profile_number_output_get_result ()

    gboolean
    qmi_message_wds_set_default_profile_number_output_get_result
                                   (QmiMessageWdsSetDefaultProfileNumberOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_message_wds_set_default_profile_number_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_set_default_profile_number_output_get_extended_error_code
                                   (QmiMessageWdsSetDefaultProfileNumberOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumberOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_client_wds_set_default_profile_number ()

    void
    qmi_client_wds_set_default_profile_number
                                   (QmiClientWds *self,
                                    QmiMessageWdsSetDefaultProfileNumberInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Default Profile Number request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_default_profile_number_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetDefaultProfileNumberInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_wds_set_default_profile_number_finish ()

    QmiMessageWdsSetDefaultProfileNumberOutput *
    qmi_client_wds_set_default_profile_number_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_set_default_profile_number()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_default_profile_number()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetDefaultProfileNumberOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_default_profile_number_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageWdsSetDefaultProfileNumberInput

    typedef struct _QmiMessageWdsSetDefaultProfileNumberInput QmiMessageWdsSetDefaultProfileNumberInput;

The QmiMessageWdsSetDefaultProfileNumberInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageWdsSetDefaultProfileNumberOutput

    typedef struct _QmiMessageWdsSetDefaultProfileNumberOutput QmiMessageWdsSetDefaultProfileNumberOutput;

The QmiMessageWdsSetDefaultProfileNumberOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28